Subject: [PATCH 1/2] arm64: syscallno is secretly an int, make it official

From: [email-masked] (Lothar Waßmann)
Date: Wed, 19 Jul 2017 15:14:55 +0200

Hi,

On Tue, 18 Jul 2017 13:41:43 +0100 Dave Martin wrote:
> The upper 32 bits of the syscallno field in struct pt_regs are handled
> inconsistently, being sometimes zero extended and sometimes
> sign-extended.  The reason for this appears to be that they are not
> intentionally significant at all.
> 
My english parser fails on "not intentionally significant at all".

Lothar Wa?mann